Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::In_Basic_Argument_T< S > Class Template Reference

Template class for IN stub argument of basic IDL types. More...

`#include <Basic_Argument_T.h>`

Inheritance diagram for TAO::In_Basic_Argument_T< S >:

[legend]
Collaboration diagram for TAO::In_Basic_Argument_T< S >:

[legend]
List of all members.

## Public Methods
| In_Basic_Argument_T (S const &x)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S | arg (void) const
## Private Attributes
S const & | x_

## Detailed Description

### template<typename S>
class TAO::In_Basic_Argument_T< S >

Template class for IN stub argument of basic IDL types.

## Constructor & Destructor Documentation

template<typename S>
ACE_INLINE TAO::In_Basic_Argument_T< S >::In_Basic_Argument_T | ( | S const & | x | ) |

## Member Function Documentation

template<typename S>
ACE_INLINE S TAO::In_Basic_Argument_T< S >::arg | ( | void |  | ) | const

template<typename S>
void TAO::In_Basic_Argument_T< S >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S>
CORBA::Boolean TAO::In_Basic_Argument_T< S >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S>
S const& TAO::In_Basic_Argument_T< S >::x_`[private]`

The documentation for this class was generated from the following files:

- Basic_Argument_T.h
- Basic_Argument_T.cpp
- Basic_Argument_T.inl